Windows

Qbase 1.0.43 (Free version)

Windows XP*, Vista, 7, 8, 10 (32-bit and 64-bit)


download


 
 * Qbase requires Net Framework 4 or higher to be installed on client machine.
For Windows XP, download and install the 'Net Framework 4 Web Installer' form Microsoft's webpage before installing this software.

 The current version is distributed free of charge and it does not expire.
The software available on this page is guaranteed not to contain any adware or any other potentially unwanted components.
Please note that this project is still under development and some features may not yet be implemented or work as expected.
You are welcome to report issues or provide feedback by using the contact form.